org.eclipse.rdf4j.http.client

## Interface HttpClientDependent

- All Known Implementing Classes:
    FederatedServiceResolverImpl, Federation, FedXRepository, FedXRepositoryConnection, HTTPRepository, LocalRepositoryManager, NotifyingLocalRepositoryManager, RDF4JProtocolSession, RemoteRepositoryManager, RepositoryManager, SailRepository, SailRepositoryConnection, SesameClientImpl, SesameSession, SharedHttpClientSessionManager, SPARQLConnection, SPARQLProtocolSession, SPARQLRepository, SPARQLServiceResolver, SparqlSession, TypeFilteringRepositoryManager

      public interface HttpClientDependent

  Common interface for objects, such as Repository and RepositoryConnection, that are dependent on `HttpClient`.
  Author:
    James Leigh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.client.HttpClient` | `getHttpClient()` `HttpClient` that has been assigned or has been used by this object.
    `void` | `setHttpClient(org.apache.http.client.HttpClient client)` Assign an `HttpClient` that this object should use.

- - ### Method Detail

    - #### getHttpClient

          org.apache.http.client.HttpClient getHttpClient()

      `HttpClient` that has been assigned or has been used by this object. The life cycle might not be or might be tied to this object, depending on whether `HttpClient` was passed to or created by this object respectively.
      Returns:
        an `HttpClient` instance or null

    - #### setHttpClient

          void setHttpClient(org.apache.http.client.HttpClient client)

      Assign an `HttpClient` that this object should use. The life cycle of the given `HttpClient` is independent of this object. Closing or shutting down this object does not have any impact on the given client. Callers must ensure that the given client is properly closed elsewhere.
      Parameters:
        `client` -

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.